insert into macroheader values ('SQL UPDATE_DAY_TBL','Insert updated data into Day Tbl',0,0,1);
insert into macrodetail values ('SQL UPDATE_DAY_TBL',1,37,'',NULL,'Called by Timed Event, this updates the temp data every 10 minutes for the Day chart.',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',2,15,'[LOCAL1]',NULL,'now()',0,'','Time sample is taken');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',3,15,'[LOCAL2]',NULL,'left("[LOCAL1]",2)',0,'','Get hours');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',4,15,'[LOCAL3]',NULL,'mid("[LOCAL1]",4,2)',0,'','Get minutes');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',5,15,'[LOCAL4]',NULL,'round([LOCAL3]/10,0)/6',0,'','Locate correct bin of 6');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',6,15,'[LOCAL4]',NULL,'if([LOCAL4]=6,ph_addtovar(1,4,1)+ph_setvar_a(1,4,0),[LOCAL4])',0,'','If bin=6 then incrrement hour and pick 0 bin for min');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',7,27,'',NULL,'if([LOCAL4]=24, "nextline", "GO ON")',0,'','Do we need to adjust 24:00 time to 00:00?');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',8,15,'[LOCAL4]',NULL,'0',0,'','Yes, so wrap back to new day bin.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',9,38,'',0,'ph_directsql("update userdata2 SET valstring3 = valstring2  WHERE type=1")',0,'','Copy all data from the left to the right device data column to make it old ("historic") data');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',10,38,'',0,'ph_directsql("UPDATE userdata2 SET valstring2 = Null WHERE type=1")',0,'','Now clear all data from the left column so new ("Current" data can be put there.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',11,26,'',NULL,'GO ON',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',12,15,'[LOCAL5]',NULL,'string([LOCAL2]+[LOCAL4],"00.00")',0,'','Add together to form numeric time value.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',13,37,'',NULL,'******* userdata2 schema *******
uid/type/idstring/idnum/iddate/valstring1/valstring2/valstring3/valstring4/ valnum1/valnum2/valnum3/valnum4/valdate1/valdate2/valdate3/valdate4/lastchange
',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',14,37,'',NULL,'uid=seq#, type=1 {d/w/m}, idstring=dvc, valstring1=time#, valstring1=new temp, valstring2=old temp, valmun1=FRZR Avg, valnum2=FRIG Avg',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',15,15,'[TEMP1]',NULL,'string({STAT-DWN-TEMP}, "00.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',16,15,'[TEMP2]',NULL,'string({STAT-MID-TEMP}, "00.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',17,38,'',0,'ph_directsql("update userdata2
SET valstring2 =''[TEMP1]'', valstring3=Null 
WHERE type = 1 and idstring = ''Dwn'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',18,38,'',0,'ph_directsql("update userdata2
SET valstring2 = ''[TEMP2]'', valstring3=Null 
WHERE type = 1 and idstring = ''Mid'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',19,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-OUT}, valstring3=Null  
WHERE type = 1 and idstring = ''Out'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',20,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-FRZR}, valstring3=Null 
WHERE type = 1 and idstring = ''Frzr'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',21,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-FRIG}, valstring3=Null 
WHERE type = 1 and idstring = ''Frig'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',22,38,'',0,'ph_directsql("
UPDATE [userdata2] 
	SET [valnum1] = (SELECT [valnum1]
		FROM [userdata2] AS s2
		WHERE s2.[uid] = ([userdata2].[uid] + 1)),
		[valnum2] = (SELECT [valnum2]
		FROM [userdata2] AS s2
		WHERE s2.[uid] = ([userdata2].[uid] + 1))
	WHERE [uid] <= 48
	")',0,'','Move data up one row to form Ring Buffer');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',23,38,'',0,'ph_directsql("
UPDATE userdata2 
SET valnum1 = {TEMP-FRZR}*10, valnum2={TEMP-FRIG}*10
WHERE uid=48")',0,'','Write new data in last slot.  This will integrate over 8 hours of time.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',24,38,'',0,'ph_sqlselectinto(6,"
	SELECT AVG (valnum1) FROM userdata2
	")',0,'','Get Average FRZR temp');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',25,38,'',0,'ph_sqlselectinto(7,"
	SELECT AVG (valnum2) FROM userdata2
	")',0,'','Get Average FRIG temp');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',26,10,'TEMP-FRZR-AVG',NULL,'string([LOCAL6]/10,"0.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',27,10,'TEMP-FRIG-AVG',NULL,'string([LOCAL7]/10,"0.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',28,15,'[LOCAL8]',NULL,'"select valstring2 from userdata2 where type = 1 and idstring ="',0,'','Needed because otherwise the write file Formula below will exceed the alloted char count in the formula field.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',29,15,'[LOCAL9]',NULL,'"select valstring3 from userdata2 where type = 1 and idstring ="',0,'','Ditto');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',30,38,'',0,'ph_writefile("C:\powerhome\web\tempsDAY.csv",1,
"Time,Dwn,Dwn,Mid,Mid,Out,Out,Frzr,Frzr,Frig,Frig~r~n" + 
ph_sql(0,"SELECT valstring1 || '','' || 
([LOCAL8] ''Dwn'' and valstring1 = base.valstring1) || '','' || 
([LOCAL9] ''Dwn'' and valstring1 = base.valstring1) || '','' || 
([LOCAL8] ''Mid'' and valstring1 = base.valstring1) || '','' ||
([LOCAL9] ''Mid'' and valstring1 = base.valstring1) || '','' ||
([LOCAL8] ''Out'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL9] ''Out'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL8] ''Frzr'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL9] ''Frzr'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL8] ''Frig'' and valstring1 = base.valstring1) || '','' || 
([LOCAL9] ''Frig'' and valstring1 = base.valstring1)
from (select valstring1 from userdata2
where type = 1 and idstring = ''Dwn'')  base"))',0,'','SQL formula to extract the entire contents of the SQL Table and write a CSV file for the Chart maker.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',31,37,'',NULL,'Finally check frezer/refridgerator for in-tolerance performance, and outside temperatures to calibrate inside humidity settings.

It also calls the "GET-WTHR STATS" macro.',0,'','Also checks to see if BED HEAT should be applied, and THEATER Curtains opened/closed.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',32,26,'',NULL,'FRZR CHECK',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',33,27,'',NULL,'if({ALERT_FREEZER}=1 and ({TEMP-FRZR-AVG}< -5 or {TEMP-FRZR-AVG}>8),"nextline","FRIG CHECK")
/* Send temp out of range Alert*/',0,'','Warn if Freezer <-5 or >8 degrees');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',34,36,'',NULL,'"Freezer Temp out of range at {TEMP-FRZR-AVG} degrees."',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',35,38,'',1,'ph_sendsmtpemail("smtp.gmail.com",465,"kenburkhalter@gmail.com,kenburkhalter,11!Qazwsx", "7346043585@cingularme.com","Temp Alert","Freezer Temp out of range at {TEMP-FRZR-AVG} degrees.")',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',36,10,'ALERT_FREEZER',NULL,'0',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',37,37,'',NULL,'',1,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',38,26,'',NULL,'FRIG CHECK',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',39,27,'',NULL,'if({ALERT_REFRIG}=1 and ({TEMP-FRIG-AVG}< 33 or {TEMP-FRIG-AVG}>43),"nextline","OUT CHECK")
/* Send temp out of range Alert*/',0,'','Warn if Fridge <32 or >43 degrees');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',40,36,'',NULL,'"Refrigerator Temp out of range at {TEMP-FRIG-AVG} degrees."',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',41,38,'',1,'ph_sendsmtpemail("smtp.gmail.com",465,"kenburkhalter@gmail.com,kenburkhalter,11!Qazwsx", "7346043585@cingularme.com","Temp Alert","Refrigerator Temp out of range at {TEMP-FRIG-AVG} degrees.")',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',42,10,'ALERT_REFRIG',NULL,'0',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',43,37,'',NULL,'',1,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',44,26,'',NULL,'OUT CHECK',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',45,10,'HUMIDITY_TARGET',NULL,'round(20+ {TEMP-OUT}/2,0)',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',46,10,'HUMIDITY_TARGET',NULL,'if({HUMIDITY_TARGET}<20,20,{HUMIDITY_TARGET})',0,'','');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',47,38,'',1,'if((NOW() > 20:30:00 or NOW() < 06:30:00) and {HOME-YESTERDAY}=1, ph_macro("BED_HEAT_CHK"),0)
/* Only check Bed Heat needs if its sleep time and we are Home */',0,'','Check bed heater requirements to track with outside temp.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',48,38,'',1,'if({DARK}=1 and NOW() > RELATIVETIME(00:00:00, [SUNSET]-1.0*3600) and {TEMP-OUT}<65 and {HOME}=1 and ph_getinsteonlevel("DWN PLANT")=0 ,ph_irdesc("DRAPERIES","2")+ph_irdesc("DRAPERIES","CLOSE"),0)',0,'','Check to see if Theater Curtain should be closed.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',49,38,'',1,'if(Now()>23:00:00 or Now()<6:00:00 and {TEMP-OUT}>60 ,ph_irdesc("DRAPERIES","2")+ph_irdesc("DRAPERIES","OPEN"),0)',0,'','Also check to see if it is warm enough at night to open curtains.');
insert into macrodetail values ('SQL UPDATE_DAY_TBL',50,39,'',NULL,'',0,'','');
