insert into macroheader values ('SQL UPDATE_WEEK_TBL','Insert updated data into Week Tbl',0,0,1);
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',1,37,'',NULL,'Called by Timed Event, this updates the temp data every two hours for the Week chart.',0,'','');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',2,15,'[LOCAL1]',NULL,'today()',0,'','Time sample is taken');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',3,15,'[LOCAL2]',NULL,'daynumber(date(today()))-1',0,'','Get day of week.  Sunday=1 so subtract 1 to make it zero');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',4,15,'[LOCAL3]',NULL,'ph_minutesafter(ph_datetime("00:00:00"),ph_getvar_dt(1,1))/60',0,'','Hours after midnight of current sample');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',5,15,'[LOCAL4]',NULL,' round(([LOCAL3]),0)/24',0,'','Convert into day hour bin');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',6,15,'[LOCAL4]',NULL,'if([LOCAL4]=1,ph_addtovar(1,2,1)+ph_setvar_a(1,4,0),[LOCAL4])',0,'','If bin = 1, then inc day and wrap around to 0');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',7,27,'',NULL,'if([LOCAL2]=7, "nextline", "GO ON")',0,'','Is this the end of the week, so we need to wrap around?');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',8,15,'[LOCAL4]',NULL,'0',0,'','Yes, so wrap a day 7 value back to 0');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',9,38,'',0,'ph_directsql("update userdata2 SET valstring3 = valstring2  WHERE type=2")',0,'','Copy all data from the left to the right device data column to make it old ("historic") data');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',10,38,'',0,'ph_directsql("UPDATE userdata2 SET valstring2 = Null WHERE type=2")',0,'','Now clear all data from the left column so new ("Current" data can be put there.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',11,26,'',NULL,'GO ON',0,'','');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',12,15,'[LOCAL5]',NULL,'string([LOCAL2]+[LOCAL4],"00.00")',0,'','Add together day/time to form numeric time value.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',13,37,'',NULL,'******* userdata2 schema *******
uid/type/idstring/idnum/iddate/valstring1/valstring2/valstring3/valstring4/ valnum1/valnum2/valnum3/valnum4/valdate1/valdate2/valdate3/valdate4/lastchange
',0,'','');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',14,37,'',NULL,'uid=seq#, type=2 {d/w/m}, idstring=dvc, valstring1=time#, valstring1=new temp, valstring2=old temp, valmun1=FRZR Avg, valnum2=FRIG Avg',0,'','');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',15,15,'[TEMP1]',NULL,'string({STAT-DWN-TEMP}, "00.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',16,15,'[TEMP2]',NULL,'string({STAT-MID-TEMP}, "00.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',17,38,'',0,'ph_directsql("update userdata2
SET valstring2 =''[TEMP1]'', valstring3=Null 
WHERE type = 2 and idstring = ''Dwn'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',18,38,'',0,'ph_directsql("update userdata2
SET valstring2 = ''[TEMP2]'', valstring3=Null 
WHERE type = 2 and idstring = ''Mid'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',19,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-OUT}, valstring3=Null  
WHERE type = 2 and idstring = ''Out'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',20,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-FRZR}, valstring3=Null 
WHERE type = 2 and idstring = ''Frzr'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',21,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-FRIG}, valstring3=Null 
WHERE type = 2 and idstring = ''Frig'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',22,15,'[LOCAL8]',NULL,'"select valstring2 from userdata2 where type = 2 and idstring ="',0,'','Needed because otherwise the write file Formula below will exceed the alloted char count in the formula field.');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',23,15,'[LOCAL9]',NULL,'"select valstring3 from userdata2 where type = 2 and idstring ="',0,'','Ditto');
insert into macrodetail values ('SQL UPDATE_WEEK_TBL',24,38,'',0,'ph_writefile("C:\powerhome\web\tempsWeek.csv",1,
"Time,Dwn,Dwn,Mid,Mid,Out,Out,Frzr,Frzr,Frig,Frig~r~n" + 
ph_sql(0,"SELECT valstring1 || '','' || 
([LOCAL8] ''Dwn'' and valstring1 = base.valstring1) || '','' || 
([LOCAL9] ''Dwn'' and valstring1 = base.valstring1) || '','' || 
([LOCAL8] ''Mid'' and valstring1 = base.valstring1) || '','' ||
([LOCAL9] ''Mid'' and valstring1 = base.valstring1) || '','' ||
([LOCAL8] ''Out'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL9] ''Out'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL8] ''Frzr'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL9] ''Frzr'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL8] ''Frig'' and valstring1 = base.valstring1) || '','' || 
([LOCAL9] ''Frig'' and valstring1 = base.valstring1)
from (select valstring1 from userdata2
where type = 2 and idstring = ''Dwn'')  base"))',0,'','SQL formula to extract the entire contents of the SQL Table and write a CSV file for the Chart maker.');
